Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Ice::LocatorRegistry`

## Overview

    interface LocatorRegistry

The Ice locator registry interface. This interface is used by servers to register adapter endpoints with the locator.

| The `LocatorRegistry` interface is intended to be used by Ice internals and by locator implementations. Regular user code should not attempt to use any functionality of this interface directly.

### Operation Index

`setAdapterDirectProxy`

  Set the adapter endpoints with the locator registry.

`setReplicatedAdapterDirectProxy`

  Set the adapter endpoints with the locator registry.

`setServerProcessProxy`

  Set the process proxy for a server.

## `setAdapterDirectProxy`

    [ "amd" ]
    void setAdapterDirectProxy(string id,
        Object* proxy)
        throws
    	AdapterNotFoundException,
    	AdapterAlreadyActiveException;

Set the adapter endpoints with the locator registry.

### Parameters

`adapterId`

  The adapter id.

`proxy`

  The adapter proxy (a dummy direct proxy created by the adapter). The direct proxy contains the adapter endpoints.

### Exceptions

`AdapterNotFoundException`

  Raised if the adapter cannot be found, or if the locator only allows registered adapters to set their active proxy and the adapter is not registered with the locator.

`AdapterAlreadyActive`

  Raised if an adapter with the same id is already active.

## `setReplicatedAdapterDirectProxy`

    [ "amd" ]
    void setReplicatedAdapterDirectProxy(string adapterId,
        string replicaGroupId,
        Object* proxy)
        throws
    	AdapterNotFoundException,
    	AdapterAlreadyActiveException,
    	InvalidReplicaGroupIdException;

Set the adapter endpoints with the locator registry.

### Parameters

`adapterId`

  The adapter id.

`replicaGroupId`

  The replica group id.

`proxy`

  The adapter proxy (a dummy direct proxy created by the adapter). The direct proxy contains the adapter endpoints.

### Exceptions

`AdapterNotFoundException`

  Raised if the adapter cannot be found, or if the locator only allows registered adapters to set their active proxy and the adapter is not registered with the locator.

`AdapterAlreadyActive`

  Raised if an adapter with the same id is already active.

`InvalidReplicaGroupIdException`

  Raised if the given replica group doesn't match the one registered with the locator registry for this object adapter.

## `setServerProcessProxy`

    [ "amd" ]
    void setServerProcessProxy(string id,
        Process* proxy)
        throws
    	ServerNotFoundException;

Set the process proxy for a server.

### Parameters

`id`

  The server id.

`proxy`

  The process proxy.

### Exceptions

`ServerNotFoundException`

  Raised if the server cannot be found.

<<< Previous | Home | Next >>>
`Ice::Locator` | Up | `Ice::Logger`